Subject: [Idr] Comments on draft-chen-idr-bier-te-path-02

From: "Jeffrey (Zhaohui) Zhang" <[email-masked]>
Date: Wed, 10 Nov 2021 20:07:36 +0000

Hi Huaimo,

I have some editorial and technical comments.

Editorial ones:

"2.2.  BIER-TE BIFT on a BFR" does not seem to be needed. This draft is about telling an ingress router the bitstring to use for a BIER-TE path and does not need to talk about how BIRE-TE works. For the same reason, both 2.1 and 2.3 can be simplified (no need for the topology or the paragraphs in 2.3 about how traffic is forwarded). By removing details that are already specified in BIER-TE spec, this document can focus on how to install the path on ingress and how to map traffic to it. This would be more like that draft-ietf-idr-segment-routing-te-policy does not talk about how a segment list is used for forwarding traffic.

Technical ones:

Tunnel Encapsulation Attribute (TEA) is a better option to me.
---------------------------------------------------------------------------------
PMSI Tunnel Attribute (PTA) is used for MVPN/VPLS/EVPN PEs to announce to other PEs what tunnel the ingress PEs will use for some/all traffic. It is not for setting up the tunnels (specifying the bitstring is like setting up a tunnel) on the ingress PEs. For an ingress PE to tell others that it is using a BIER-TE path, it does not need to tell others the "Tunnel-ID (4 octets)"  or bitstring. All it needs to tell others is <sub-domain, BFIR-id, BFIR-prefix> and the existing "BIER" tunnel for PTA should be enough.

draft-ietf-idr-segment-routing-te-policy uses TEA for unicast. Same could be done here, and you don't even need a  new SAFI - the same SAFI and encoding in draft-ietf-idr-segment-routing-te-policy can be used - just attach a TEA with a BIER-TE tunnel.

Traffic Steering
-------------------

In draft-ietf-idr-segment-routing-te-policy, the NLRI encodes the tunnel endpoint. For multicast, there is no tunnel endpoint but tunnel root matters (and I see it's encoded in your proposed TEA). So if you use a new SAFI, it does not need to have the "Endpoint" field in NLRI. If you use the same SAFI in the unciast draft, the Endpoint field can be 0.

To steer traffic to a tunnel, while you can encode (source, group) information in the TEA itself, (I think) a more general way is to use a BIER-TE tunnel in other SAFI's NLRIs's TEA (and in that TEA the BIER-TE tunnel only need to specify the tunnel identifier - no need for bit position). For example, in draft-ietf-bess-bgp-multicast-controller, an NLRI (for a replication segment) can have a TEA to specify the replication branches (each tunnel in the TEA being a branch) - and one of the tunnels could be a BIER-TE tunnel. That works for all scenarios - whether it is for an IP multicast tree (either in master instance or a VRF) or for an mLDP/SR-P2MP tunnel (if it needs to go over a BIER-TE domain).

Jeffrey

Juniper Business Use Only